# Jitter: Enable JIT for your CLI stuff

This is a tiny library that enables jitting for CLI applications.

## Installing

Install using composer:

```shell
$ composer require noccylabs/jitter
```

## Using

Enable automatically with composer, or be explicit:

```php
// this must be before autoload.php
define("JIT_AUTO", 1);

require_once __DIR__."/vendor/autoload.php";

// or call this after
NoccyLabs\JitEnabler\Jit::$bufferSize="256M";
NoccyLabs\JitEnabler\Jit::enable();

```

## How it works?

When you enable JIT, PHP is relaunched with the flags to enable JITting and the
exitcode will be passed on to the script. For this reason, enabling JIT should
be done early during execution as any code before the enable call will be 
executed twice.

After enabling, the define `JIT_ACTIVE` will be set to `1` if JIT could be
activated, or `0` if it failed to activate.
